\name{CoCoCg-internal}
\title{Internal CoCoCg objects}
\alias{.First.lib}
\alias{.onAttach}
\alias{.onLoad}
\description{Internal CoCoCg and imported objects.}
\details{These are not to be called by the user.}
\keyword{internal}

\eof
\name{CoCoCg}
\title{The CoCoCg package}
\alias{CoCoCg}

%    \alias{CoCoIdClass-class}
%    \alias{CoCoClass-class}
%    \alias{CoCoModelClass-class}
%    \alias{CoCoTestClass-class}
%    
%    \alias{label} % CoCoTestClass-method
%    \alias{testLabel} % CoCoTestClass-method
%    \alias{width} % CoCoTestClass-method
%    \alias{testWidth} % CoCoTestClass-method
%    
%    \alias{dynamic.Graph} % CoCoModelClass-method
%    \alias{dynamic.Graph.Old} % CoCoModelClass-method
%    \alias{modifyModel} % CoCoModelClass-method
%    \alias{subModifyModel} % CoCoModelClass-method
%    \alias{subModifyModel.Old} % CoCoModelClass-method
%    \alias{testEdge} % CoCoModelClass-method
%    \alias{testEdge.Old} % CoCoModelClass-method
%    
%    \alias{makeModel} % CoCoObjects
%    \alias{newCoCoTestObject} % CoCoObjects
%    \alias{recover.coco.model} % CoCoObjects
%    
     \alias{coco.init} % From CoCoCore
%    \alias{coco.resume} % From CoCoCore
%    \alias{coco.start} % From CoCoCore
%    \alias{currentCoCo} % From CoCoObjects
%    \alias{endCoCo} % From CoCoRaw
%    \alias{is.number} % From CoCoCore
%    \alias{make.cococg} % From CoCoCore
%    \alias{make.coco} % From CoCoCore
%    \alias{makeCurrentCoCo} % From CoCoObjects
%    \alias{make.model} % From CoCoCore
%    \alias{my.assign} % From CoCoCore
%    \alias{quitCoCo} % From CoCoRaw
%    
%    \alias{backward} % From CoCoRaw
%    \alias{cleanData} % From CoCoRaw
%    \alias{disposeOfEh} % From CoCoRaw
%    \alias{disposeOfModel} % From CoCoRaw
%    \alias{disposeOfQtable} % From CoCoRaw
%    \alias{editModel} % From CoCoRaw
%    \alias{eh} % From CoCoRaw
%    \alias{ehExtract} % From CoCoRaw
%    \alias{ehFindDual} % From CoCoRaw
%    \alias{ehFit} % From CoCoRaw
%    \alias{ehForceAccept} % From CoCoRaw
%    \alias{ehForceAddDualToClass} % From CoCoRaw
%    \alias{ehForceFix} % From CoCoRaw
%    \alias{ehForceReject} % From CoCoRaw
%    \alias{ehSetBase} % From CoCoRaw
%    \alias{ehSetMainEffects} % From CoCoRaw
%    \alias{emOn} % From CoCoRaw
%    \alias{enterDataFrame} % From CoCoRaw
%    \alias{enterList} % From CoCoRaw
%    \alias{enterModel} % From CoCoRaw
%    \alias{enterNames} % From CoCoRaw
%    \alias{enterQlist} % From CoCoRaw
%    \alias{enterQtable} % From CoCoRaw
%    \alias{enterTable} % From CoCoRaw
%    \alias{enterTwoLists} % From CoCoRaw
%    \alias{excludeMissing} % From CoCoRaw
%    \alias{exportCoCo} % From CoCoRaw
%    \alias{extractData} % From CoCoRaw
%    \alias{forward} % From CoCoRaw
%    \alias{importCoCo} % From CoCoRaw
%    \alias{isSubmodel} % From CoCoRaw
%    \alias{makeBase} % From CoCoRaw
%    \alias{makeCurrent} % From CoCoRaw
%    \alias{numberVariates} % From CoCoRaw
%    \alias{optionsCoCo} % From CoCoRaw
%    \alias{partialAssociations} % From CoCoRaw
%    \alias{propertyModel} % From CoCoRaw
%    \alias{propertySet} % From CoCoRaw
%    \alias{randomTableReplacement} % From CoCoRaw
%    \alias{returnDeviance} % From CoCoRaw
%    \alias{returnEdges} % From CoCoRaw
%    \alias{returnExpression} % From CoCoRaw
%    \alias{returnFix} % From CoCoRaw
%    \alias{returnJunctionTree} % From CoCoRaw
%    \alias{returnModel} % From CoCoRaw
%    \alias{returnModelNumber} % From CoCoRaw
%    \alias{returnModelVariates} % From CoCoRaw
%    \alias{returnNcells} % From CoCoRaw
%    \alias{returnSets} % From CoCoRaw
%    \alias{returnTable} % From CoCoRaw
%    \alias{returnTest} % From CoCoRaw
%    \alias{returnVariableDescription} % From CoCoRaw
%    \alias{returnVertexOrder} % From CoCoRaw
%    \alias{setOrdinal} % From CoCoRaw
%    \alias{setUseVariables} % From CoCoRaw
%    \alias{showDeviance} % From CoCoRaw
%    \alias{showFormula} % From CoCoRaw
%    \alias{showModel} % From CoCoRaw
%    \alias{showOptions} % From CoCoRaw
%    \alias{showTable} % From CoCoRaw
%    \alias{showTest} % From CoCoRaw
%    \alias{showTests} % From CoCoRaw
%    \alias{showVertexOrder} % From CoCoRaw
%    \alias{sinkCoCo} % From CoCoRaw
%    \alias{summaryTable} % From CoCoRaw

%    \alias{makeCoCo} % From CoCo

     \alias{Reinis}

\description{The CoCoCg package with the shared library of CoCoCg,
 for data with both discrete and continuous variables,
 the continuous conditional Gaussian.}

% \details{}

% \references{ }

\author{Jens Henrik Badsberg}

\note{Please quit by \code{\link[quitCoCo]{quitCoCo}}
      to remove temporary files.}

% \section{ToDo}{....}

\seealso{ \code{\link[CoCo]{CoCo}}. }

\examples{
# Attach data:
data(Rats);

# Create a CoCoCg-object:
CoCoObject <- makeCoCoCg();

# Enter the table of counts into the CoCo-object:
enterDataFrame(Rats, object = CoCoObject);

# Enter the saturated model into the CoCo-object, and return a model object:
fullModel <- makeModel(enterModel("*", object = CoCoObject));

# Display a graph of the model:
fullGraph <- dynamic.Graph(fullModel, title = "Full");

# Do a backward elimination of edges:
backward(recursive = TRUE, headlong = TRUE, coherent = TRUE,
         follow = TRUE, object = CoCoObject);

# Display the result of the backward elimination:
lastModel <- makeModel("last", object = CoCoObject);
backwardGraph <- dynamic.Graph(lastModel, title = "Last");

# Do the EH-procedure:
eh(object = CoCoObject);

# Terminate the CoCo-object with disposing temporary files:
endCoCo(object = CoCoObject);
}

\keyword{internal}

\eof
\name{Rats}
\alias{Rats}
\docType{data}

\title{ Rats' Weights }

\description{ Drug trail on rats: Weight loss. }

\usage{data(Rats)}

\format{
  A data frame with 24 observations on the following 4 variables.
  \describe{
    \item{a}{Sex        : a factor with levels \code{1} \code{2}}
    \item{b}{Drug       : a factor with levels \code{1} \code{2} \code{3}}
    \item{x}{Wt. loss 1 : a numeric vector}
    \item{y}{Wt. loss 2 : a numeric vector}
  }
 }

\details{ Page 75 of Edwards (2000): The data stem from another drug trail, in
	  which the weight losses of male and female rats under three drug
	  treatments are studied. Four rats of each sex are assigned at random
	  to each drug. Weight losses are observed after one and two weeks. }

\source{
  Edwards, David (2000). Introduction to Graphical modelling, Springer.
}

\references{
  Morrison (1976). Multivariate Statistical Methods, McGraw-Hill.
  Mardia, Kent, and Bibby (1979). Multivariate Analysis, Academic Press.
}

\examples{
data(Rats);
CoCoObject <- makeCoCoCg();
enterDataFrame(Rats, object = CoCoObject);
fullModel <- makeModel(enterModel("*", object = CoCoObject));
eh(object = CoCoObject);
eh(sub.class = "hierarchical", object = CoCoObject);
endCoCo(object = CoCoObject);
}

\keyword{datasets}

\eof
\name{fev}
\alias{fev}
\docType{data}
\title{ Childhood Respiratory Disease }

\description{ FEV (forced expiratory volume) is an index of pulmonary function
	      that measures the volume of air expelled after one second of
	      constant effort. The data contains determinations of FEV on 654
	      children ages 6-22 who were seen in the Childhood Respiratory
	      Desease Study in 1980 in East Boston, Massachusetts. The data
	      are part of a larger study to follow the change in pulmonary
	      function over time in children. }

\usage{data(fev)}

\format{
  A data frame with 654 observations on the following 6 variables.
  \describe{
    \item{ID}{ ( ID number) , a numeric vector}
    \item{Age}{ ( Years) , a numeric vector}
    \item{FEV}{ ( Liters) , a numeric vector}
    \item{Height}{ ( Inches) , a numeric vector}
    \item{Sex}{ ( Male or Female) ,
                a factor with levels \code{Female} \code{Male}}
    \item{Smoker}{ ( Non = nonsmoker, Current = current smoke) ,
		  a factor with levels \code{Current} \code{Non}}
  }
}

% \details{  }

\source{ Gordon Smyth: http://www.isd.sdu.dk/~gks/data/general/fev.html }

\references{
 Tager, I. B., Weiss, S. T., Rosner, B., and Speizer, F. E. (1979). Effect of
 parental cigarette smoking on pulmonary function in children. American
 Journal of Epidemiology, 110, 15-26.  

 Rosner, B. (1990). Fundamentals of Biostatistics, 3rd Edition. PWS-Kent,
 Boston, Massachusetts. }

\examples{
data(fev);
FevObject <- makeCoCoCg();
result <- enterDataFrame(fev[,2:6], object = FevObject);
enterModel("*;", object = FevObject);
makeBase("current", object = FevObject);
showOptions(object = FevObject);
showModel("all", object = FevObject);
backward(only = TRUE, sorted = TRUE, decomposable.mode = TRUE,
         coherent = TRUE, headlong = TRUE, recursive = TRUE, follow = TRUE,
         object = FevObject);
makeCurrent("last", object = FevObject);
showModel("all", object = FevObject);
showModel("current", describe = TRUE, object = FevObject);
str(returnExpression(model = FALSE, type = "junction.tree.components", 
                   omit.prime.components = FALSE, omit.separators = FALSE,
                   omit.generators = FALSE, return.flags = TRUE,
                   object = FevObject));
endCoCo(object = FevObject)
}

\keyword{datasets}

\eof
\name{makeCoCoCg}
\alias{makeCoCoCg}

\title{ Make a CoCoCg object }

\description{ Make a CoCoCg object. }

\usage{
makeCoCoCg(...)
}

\arguments{
  \item{\dots}{ \code{\link[CoCoCore]{make.coco}}. }
}

\details{ The distributed source code is only able to handle one concurrent
	  CoCo object. Use \code{\link[CoCoRaw]{endCoCo}}. }

% \value{
%   ~Describe the value returned
%   If it is a LIST, use
%   \item{comp1 }{Description of 'comp1'}
%   \item{comp2 }{Description of 'comp2'}
%   ...
% }

% \references{ }

\author{ Jens Henrik Badsberg }

% \note{ }

% \section{ToDo}{....}

\seealso{ \code{\link[CoCoCore]{make.coco}}. }

% \examples{ }

\keyword{ interface }% at least one, from doc/KEYWORDS
\keyword{ multivariate }% __ONLY ONE__ keyword per line

\eof
