\name{CoCoCore-internal}
\title{Internal CoCoCore objects}
\alias{.after.set.current}
\alias{.before.set.both}
\alias{.before.set.current}
\alias{.coco.command.implemented}
\alias{.coco.id}
\alias{.coco.load}
\alias{.empty.string}
\alias{.encode}
\alias{.encode.model}
\alias{.encode.model.1}
\alias{.encode.type.and.options}
\alias{.encode.visit}
\alias{.false.if.NULL}
\alias{.First.lib}
\alias{.First.lib.CoCoCore}
\alias{.get.cocolib.name}
\alias{.get.lib.and.tmp}
\alias{.get.rs.cshlib.name}
\alias{.is.current.model}
\alias{.is.nil.model}
\alias{.Last.lib}
\alias{.mips.load}
\alias{.my.ascii}
\alias{.my.dyn.load.open}
\alias{.my.getenv}
\alias{.my.test.file.found}
\alias{.my.trace}
\alias{.object.of.models}
\alias{.onAttach}
\alias{.onLoad}
\alias{.packageName}
\alias{.return.factor.type.list}
\alias{.return.level.list}
\alias{.return.missing.list}
\alias{.return.name.list.string}
\alias{.set.acceptance}
\alias{.set.components}
\alias{.set.current.model}
\alias{.set.rejection}
\alias{.set.separators}
\alias{.split.data}
\alias{.table.value}
\alias{.to.search}
\alias{.visit.interval}
\alias{.visit.model}
\alias{.visit.models}

%   \alias{CoCoIdClass-class}
%   \alias{CoCoClass-class}
%   \alias{CoCoModelClass-class}
%   % \alias{CoCoTestClass-class}
%   
%   \alias{label} % CoCoTestClass-method
%   % \alias{testLabel} % CoCoTestClass-method
%   \alias{width} % CoCoTestClass-method
%   % \alias{testWidth} % CoCoTestClass-method
%   
%   \alias{dynamic.Graph} % CoCoModelClass-method
%   % \alias{dynamic.Graph.Old} % CoCoModelClass-method
%   \alias{modifyModel} % CoCoModelClass-method
%   \alias{subModifyModel} % CoCoModelClass-method
%   % \alias{subModifyModel.Old} % CoCoModelClass-method
%   \alias{testEdge} % CoCoModelClass-method
%   % \alias{testEdge.Old} % CoCoModelClass-method
%   
%   \alias{makeModel} % CoCoObjects
%   \alias{newCoCoTestObject} % CoCoObjects
%   \alias{recover.coco.model} % CoCoObjects

% call.coco.R		  :
% 
% call.coco.message.R	  : All arguments, return ok.coco(result)
% 
% call.coco.simple.R	  : Only code and subcode as argument, return subcode or NULL
% coco.simple.command.R	  : ~ call.coco.simple.R
% 
% call.coco.chars.R	  : Return string
% coco.enter.string.R	  : = call.coco.chars.R
% call.coco.longs.R	  : Return longs
% call.coco.reals.R	  : Return reals
% 
% coco.enter.all.R	  : ~ coco.replace.all.R
% coco.replace.all.R	  : ~ coco.enter.all.R
% 
% coco.simple.model.R	  : -> coco.simple.command.R
% coco.simple.double.R	  : -> coco.simple.command.Rb
% coco.string.double.R	  : -> coco.enter.string.R
% coco.string.model.R	  : -> coco.enter.string.R
% 
% coco.init.R		  :
% coco.load.R		  :
% coco.resume.R		  :
% coco.start.R		  :

\description{Internal CoCoCore objects.}
\details{These are not to be called by the user.}
\keyword{internal}

\eof
\name{call.coco}
\alias{call.coco}
\alias{call.coco.message}

\title{ Call CoCo }

\description{ Internal CoCoCore functions:
	      The single interface function to CoCo. }

\usage{
call.coco(code, sub.code = 0, 
          arg.char = "", arg.long = NULL, arg.double = NULL, 
          object = .current.coco, char.ok = FALSE, type = NULL)

call.coco.message(code, sub.code = 0, 
                  arg.char = "", arg.long = NULL, arg.double = NULL, 
                  object = .current.coco)

}

\arguments{
  \item{code}{ Numeric, between 1 and 255. }
  \item{sub.code}{ Numeric. }
  \item{arg.char}{ A character string. The argument \code{arg.char}
		   should be long enough for returned values. }
  \item{arg.long}{ A vector of integers. The argument \code{arg.long}
		   should be long enough for returned values. }
  \item{arg.double}{ A vector of reals. The argument \code{arg.double}
		     should be long enough for returned values. }
  \item{object}{ See \code{\link[CoCoRaw]{endCoCo}}. }
  \item{char.ok}{ Logical, if \code{char.ok} then R should be able
		  to call CoCo with strings. }
  \item{type}{ Integer, \code{type} is 1 for CoCo objects,
	       2 for CoCoCg objects. }
}

\details{ These functions are not to be called by the user. }

% \value{
%   ~Describe the value returned
%   If it is a LIST, use
%   \item{comp1 }{Description of 'comp1'}
%   \item{comp2 }{Description of 'comp2'}
%   ...
% }

\references{ Badsberg, J.H.: Xlisp+CoCo, Aalborg University, 1996. }

\author{ Jens Henrik Badsberg }

\note{ 

	\code{\link{call.coco}} is called in
		\code{\link{call.coco.chars}},
		\code{\link{call.coco.longs}},
		\code{\link{call.coco.message}},
		\code{\link{call.coco.reals}},
		\code{\link{call.coco.simple}},
		\code{\link{coco.enter.all}},
		\code{\link{coco.init}},
		\code{\link{coco.replace.all}},
		\code{\link{coco.resume}},
		\code{\link{coco.simple.command}},
		\code{\link{coco.string.double}},
		\code{\link{coco.string.model}},
		\code{\link[CoCoRaw]{endCoCo}},
		\code{\link[CoCoRaw]{cutpoints}},
		\code{.enter.double.list},
		\code{.plotCoCo},
		\code{.set.switch},
		\code{\link[CoCoRaw]{editModel}},
		\code{\link[CoCoRaw]{enterNames}},
		\code{\link[CoCoRaw]{enterQlist}},
		\code{\link[CoCoRaw]{enterQtable}},
		\code{\link[CoCoRaw]{enterTwoLists}},
		\code{\link[CoCoRaw]{isSubmodel}},
		\code{\link[CoCoRaw]{propertyModel}},
		\code{\link[CoCoRaw]{propertySet}},
		\code{\link[CoCoRaw]{returnDeviance}},
		\code{\link[CoCoRaw]{returnEdges}},
		\code{\link[CoCoRaw]{returnNcells}},
		\code{\link[CoCoRaw]{returnTable}},
		\code{\link[CoCoRaw]{returnTest}},
		\code{\link[CoCoRaw]{showTable}},
		and \code{\link[CoCoRaw]{summaryTable}}.

	\code{\link{call.coco.message}} is called in
		\code{\link[CoCoOldData]{cutpoints}},
		\code{\link[CoCoOldData]{or.reject.cases}},
		\code{\link[CoCoOldData]{or.select.cases}},
		\code{\link[CoCoOldData]{redefine.factor}},
		\code{\link[CoCoOldData]{reject.cases}},
		\code{\link[CoCoOldData]{select.cases}},
		\code{.enter.n.interactions},
		and \code{\link[CoCoRaw]{enterModel}}.

}

% \section{ToDo}{....}

\seealso{ \code{\link{coco.init}}. }

% \examples{ }

\keyword{ interface }% at least one, from doc/KEYWORDS
\keyword{ multivariate }% __ONLY ONE__ keyword per line

\eof
\name{call.coco.chars}
\alias{coco.enter.string}
\alias{call.coco.chars}
\alias{call.coco.reals}
\alias{call.coco.longs}

\title{ Call Coco with only code, subcode, and one argument }

\description{ Internal CoCoCore functions:
	      Call Coco with only code, subcode, and one argument. }

\usage{
coco.enter.string(code, argument = FALSE, sub.code = FALSE, length = 128,
                  no.warnings = NULL, object = .current.coco)

call.coco.chars(code, argument = FALSE, sub.code = FALSE, length = 128,
                no.warnings = NULL, object = .current.coco)

call.coco.longs(code, argument = FALSE, length = 0, sub.code = FALSE,
                no.warnings = NULL, object = .current.coco)

call.coco.reals(code, argument = FALSE, length = 0, sub.code = FALSE, 
                no.warnings = NULL, object = .current.coco)
}

\arguments{
  \item{code}{ Numeric, between 1 and 255. }
  \item{argument}{ The \code{argument} a charater string,
		   a vector of integers or a vector of reals. }
  \item{length}{ Numeric, the \code{length} of the argument. }
  \item{sub.code}{ Numeric. }
  \item{no.warnings}{ Logical, if \code{no.warnings} is TRUE then 
		      no warnings are given from \code{\link{ok.coco}}. }
  \item{object}{ See \code{\link[CoCoRaw]{endCoCo}}. }
}

\details{ These functions are not to be called by the user. }

% \value{
%   ~Describe the value returned
%   If it is a LIST, use
%   \item{comp1 }{Description of 'comp1'}
%   \item{comp2 }{Description of 'comp2'}
%   ...
% }

\references{ Badsberg, J.H.: Xlisp+CoCo, Aalborg University, 1996. }

\author{ Jens Henrik Badsberg }

\note{ \code{\link{coco.enter.string}} calls \code{\link{call.coco.chars}}
       and returns same result.

	\code{\link{coco.enter.string}} is called in
		\code{.return.name.list.string},
		\code{\link{coco.string.double}},
		\code{\link{coco.string.model}},
		\code{\link[CoCoOldData]{read.q.list}},
		\code{\link[CoCoOldData]{read.q.table}},
		\code{.eh.enter.base.model},
		\code{.fix.edges},
		\code{\link[CoCoRaw]{disposeOfQtable}},
		\code{\link[CoCoRaw]{ehFit}},
		\code{\link[CoCoRaw]{ehForceAccept}},
		\code{\link[CoCoRaw]{ehForceFix}},
		\code{\link[CoCoRaw]{ehForceReject}},
		\code{\link[CoCoRaw]{ehSetBase}},
		\code{\link[CoCoRaw]{ehSetMainEffects}},
		\code{\link[CoCoRaw]{enterModel}},
		\code{\link[CoCoRaw]{partialAssociations}},
		\code{\link[CoCoRaw]{returnModel}},
		\code{\link[CoCoRaw]{returnModelVariates}},
		\code{\link[CoCoRaw]{returnSets}},
		\code{\link[CoCoRaw]{showTable}}.

	\code{\link{call.coco.chars}}, is called in
		\code{\link{coco.enter.string}},
		\code{\link[CoCoOldData]{set.data.file}},
		\code{\link[CoCoOldData]{set.observations.file}},
		\code{\link[CoCoOldData]{set.output}},
		\code{\link[CoCoOldData]{set.specification.file}},
		\code{\link[CoCoOldData]{source.coco}},
		\code{\link[CoCoOldData]{excludeMissing}},
		\code{\link[CoCoRaw]{exportCoCo}},
		\code{\link[CoCoRaw]{importCoCo}},
		\code{\link[CoCoRaw]{optionsCoCo}},
		\code{\link[CoCoRaw]{setOrdinal}},
		\code{\link[CoCoRaw]{setUseVariables}},
		\code{\link[CoCoRaw]{showTable}},
		\code{\link[CoCoRaw]{sinkCoCo}}.


	\code{\link{call.coco.longs}}, is called in
		\code{.return.factor.type.list},
		\code{.return.level.list},
		\code{.return.missing.list},
		\code{.set.em.initial},
		\code{.set.em.max.iterations},
		\code{.set.ips.max.iterations},
		\code{.set.list.of.number.of.tables},
		\code{.set.number.of.tables},
		\code{.set.page.formats},
		\code{.set.paging.length},
		\code{.set.print.formats},
		\code{.set.seed.coco},
		\code{.set.table.formats},
		\code{.set.test.formats},
		\code{\link[CoCoRaw]{enterList}},
		\code{\link[CoCoRaw]{enterTable}},
		\code{\link[CoCoRaw]{makeBase}},
		\code{\link[CoCoRaw]{makeCurrent}},
		\code{\link[CoCoRaw]{numberVariates}},
		\code{\link[CoCoRaw]{optionsCoCo}},
		\code{\link[CoCoRaw]{returnModelNumber}},
		\code{\link[CoCoRaw]{returnModelVariates}}.


	\code{\link{call.coco.reals}} is called in
		\code{.set.acceptance},
		\code{.set.rejection},
		\code{.set.components},
		\code{.set.separators},
		\code{.set.asymptotic},
		\code{.set.em.epsilon},
		\code{.set.exact.epsilon},
		\code{.set.ips.epsilon},
		\code{.set.power.lambda},
		\code{.set.ic},
		\code{\link[CoCoRaw]{optionsCoCo}}.

       }

% \section{ToDo}{....}

\seealso{ \code{\link{call.coco}}. }

% \examples{ }

\keyword{ interface }% at least one, from doc/KEYWORDS
\keyword{ multivariate }% __ONLY ONE__ keyword per line

\eof
\name{call.coco.simple}
\alias{call.coco.simple}
\alias{coco.simple.command}

\title{ Call Coco with only code and subcode }

\description{ Internal CoCoCore function:
	      Call Coco with only code and subcode. }

\usage{
call.coco.simple(code, sub.code = FALSE, object = .current.coco)

coco.simple.command(code, sub.code = FALSE, object = .current.coco)
}

\arguments{
  \item{code}{ Numeric, between 1 and 255. }
  \item{sub.code}{ Numeric. }
  \item{object}{ See \code{\link[CoCoRaw]{endCoCo}}. }
}

\details{ This function is not to be called by the user. }

% \value{
%   ~Describe the value returned
%   If it is a LIST, use
%   \item{comp1 }{Description of 'comp1'}
%   \item{comp2 }{Description of 'comp2'}
%   ...
% }

\references{ Badsberg, J.H.: Xlisp+CoCo, Aalborg University, 1996. }

\author{ Jens Henrik Badsberg }

\note{ 

	\code{\link{call.coco.simple}} is called in
		\code{.set.test},
		\code{.set.datastructure},
		\code{\link[CoCoRaw]{optionsCoCo}}.

	\code{\link{coco.simple.command}} is called in
		\code{.visit.interval},
		\code{.visit.model},
		\code{.visit.models},
		\code{\link{coco.simple.double}},
		\code{\link{coco.simple.model}},
		\code{\link[CoCoOldData]{read.data}},
		\code{\link[CoCoOldData]{read.factors}},
		\code{\link[CoCoOldData]{read.list}},
		\code{\link[CoCoOldData]{read.names}},
		\code{\link[CoCoOldData]{read.observations}},
		\code{\link[CoCoOldData]{read.specification}},
		\code{\link[CoCoOldData]{read.table.coco}},
		\code{\link[CoCoOldData]{skip.missing}},
		\code{\link[CoCoRaw]{backward}},
		\code{\link[CoCoRaw]{cleanData}},
		\code{.base},
		\code{.clean.up},
		\code{.current},
		\code{.omit.test},
		\code{\link[CoCoRaw]{disposeOfEh}},
		\code{\link[CoCoRaw]{ehExtract}},
		\code{\link[CoCoRaw]{ehFindDual}},
		\code{\link[CoCoRaw]{ehFit}},
		\code{\link[CoCoRaw]{ehForceAddDualToClass}},
		\code{\link[CoCoRaw]{eh}},
		\code{\link[CoCoRaw]{ehSetBase}},
		\code{\link[CoCoRaw]{emOn}},
		\code{\link[CoCoRaw]{excludeMissing}},
		\code{\link[CoCoRaw]{forward}},
		\code{\link[CoCoRaw]{randomTableReplacement}},
		\code{\link[CoCoRaw]{setUseVariables}},
		\code{\link[CoCoRaw]{showOptions}},
		\code{\link[CoCoRaw]{showTests}}.

}

% \section{ToDo}{....}

\seealso{ \code{\link{call.coco}}. }

% \examples{ }

\keyword{ interface }% at least one, from doc/KEYWORDS
\keyword{ multivariate }% __ONLY ONE__ keyword per line

\eof
\name{coco.enter.all}
\alias{coco.enter.all}
\alias{coco.replace.all}

\title{ Call CoCo with all arguemnts }

\description{ Internal CoCoCore functions:
	      Call Coco with all arguments. }

\usage{
coco.enter.all(code, string, long, double, sub.code = FALSE, 
               object = .current.coco)

coco.replace.all(code, string = "", long = NULL, double = NULL, sub.code = FALSE, 
                 object = .current.coco)
}

\arguments{
  \item{code}{ Numeric, between 1 and 255. }
  \item{sub.code}{ Numeric. }
  \item{string}{ A charater string. The argument \code{arg.char}
		 should be long enough for returned values. }
  \item{long}{ A vector of integers. The argument \code{arg.long}
	       should be long enough for returned values. }
  \item{double}{ A vector of reals. The argument \code{arg.double}
		 should be long enough for returned values. }
  \item{object}{ See \code{\link[CoCoRaw]{endCoCo}}. }

}

\details{ These functions are not to be called by the user. }

% \value{
%   ~Describe the value returned
%   If it is a LIST, use
%   \item{comp1 }{Description of 'comp1'}
%   \item{comp2 }{Description of 'comp2'}
%   ...
% }

\references{ Badsberg, J.H.: Xlisp+CoCo, Aalborg University, 1996. }

\author{ Jens Henrik Badsberg }

\note{ 
	\code{\link{coco.enter.all}} is called in
		\code{.return.complex},
		\code{\link[CoCoRaw]{optionsCoCo}},
		\code{\link[CoCoRaw]{returnVertexOrder}}.

	\code{\link{coco.replace.all}} is called in
		\code{\link[CoCoRaw]{optionsCoCo}},
		\code{\link[CoCoRaw]{returnSets}},
		\code{\link[CoCoRaw]{returnTable}}.

}

% \section{ToDo}{....}

\seealso{ \code{\link{call.coco}}. }

% \examples{ }

\keyword{ interface }% at least one, from doc/KEYWORDS
\keyword{ multivariate }% __ONLY ONE__ keyword per line

\eof
\name{coco.init}
\alias{coco.init}

\title{ Init a CoCo object. }

\description{ Internal CoCoCore function:
              Malloc the internal space for the CoCo object. }

\usage{
coco.init(n = 131072, p = 65536, q = 1024, 
          r = 65536, s = 65536, ss = 65536, t = 65536, 
          init = TRUE, title = NULL, type = 1, silent = FALSE, 
          location = c(700, 550), manager = TRUE, sh.lib.name = NULL)
}

\arguments{
  \item{n}{  Integer, sets the size of the \code{N}-array:
             The array for observed table and marginal tables
	     in pure discrete models. }
  \item{p}{  Integer, sets the size of the \code{P}-array:
             Estimated marginal tables in pure discrete models. }
  \item{q}{  Integer, sets the size of the \code{Q}-array:
             For Q-tables. }
  \item{r}{  Integer, sets the size of the \code{R}-array:
             For observed canonical parameters (g, h and K)
             in CoCoCg objects. }
  \item{s}{  Integer, sets the size of the \code{S}-array:
             For observed moment parameters (means and covariances)
             in CoCoCg objects. }
  \item{ss}{ Integer, sets the size of the \code{Ss}-array:
             For observed moment parameters (means and square sums)
             in CoCoCg objects.}
  \item{t}{  Integer, sets the size of the \code{T}-array:
             For estimated canonical parameters (g, h and K)
             and temporary space in CoCoCg objects. }

  \item{init}{ Logical, \code{init} should be TRUE,
	       else CoCo is "started", and CoCo commands are expected
	       from standard input. }
  \item{title}{ A character string for the \code{title} of the CoCo object. }
  \item{type}{ 1 for CoCo objects and 2 for CoCoCg objects. }
  \item{silent}{ Logical: if \code{silent} is TRUE then CoCo
		 is more silent. }
  \item{location}{ Numeric: \code{location} is currently not used in R. }
  \item{manager}{ Logical: \code{manager} is currently not used in R. }

  \item{sh.lib.name}{ See \code{\link[CoCoCore]{coco.load}}. }
}

\details{ This function is no longer to be called by the user. }

\value{ NULL }

\references{ Badsberg, J.H.: A guide to CoCo, JSS, 2001
             ( http://www.jstatsoft.org/v06/i04/ )
             and Badsberg, J.H.: Xlisp+CoCo, Aalborg University, 1996. }

\author{ Jens Henrik Badsberg }

% \note{ }

% \section{ToDo}{....}

\seealso{ \code{\link{coco.load}}. }

% \examples{ }

\keyword{ interface }% at least one, from doc/KEYWORDS
\keyword{ multivariate }% __ONLY ONE__ keyword per line

\eof
\name{coco.load}
\alias{coco.load}

\title{ Load CoCo }

\description{ Internal CoCoCore function:
              Load the dynamic linked or shared library with CoCo,
	      and assign necessary variables in \code{\link{.GlobalEnv}}. }

\usage{
coco.load(sh.lib.name = NULL)
}

\arguments{
  \item{sh.lib.name}{ The name of the library. }
}

\details{ This function is not to be called by the user. }

\value{ See \code{\link{dyn.load}}.
	Some teen variables starting with dot, ".",
	are assigned in \code{\link{.GlobalEnv}}.
}

\references{ Badsberg, J.H.: Xlisp+CoCo, Aalborg University, 1996. }

\author{ Jens Henrik Badsberg }

% \note{ }

% \section{ToDo}{....}

\seealso{ \code{\link{coco.init}}. }

% \examples{ }

\keyword{ interface }% at least one, from doc/KEYWORDS
\keyword{ multivariate }% __ONLY ONE__ keyword per line

\eof
\name{coco.simple.model}
\alias{coco.simple.model}
\alias{coco.simple.double}
\alias{coco.string.model}
\alias{coco.string.double}

\title{ Call CoCo with setting of models }

\description{ Internal CoCoCore functions:
	      
}

\usage{
coco.simple.model(code, sub.code = FALSE, model = FALSE, 
                  type = "unconditioned", data = NULL, 
                  object = .object.of.model(model, data = data, ...), ...)

coco.simple.double(code, sub.code = FALSE, 
                   model.1 = "current", model.2 = "base", 
                   type = "unconditioned", data = NULL, 
                   object = .object.of.models(model.1, model.2, 
                                              data = data, ...), ...)

coco.string.model(code, argument = FALSE, sub.code = FALSE, model = FALSE, 
                  make.model = FALSE, 
                  push.pop = FALSE, type = "unconditioned", data = NULL, 
                  object = .object.of.model(model, data = data, ...), ...)

coco.string.double(code, argument = FALSE, sub.code = FALSE, 
                   model.1 = "current", model.2 = "base", 
                   eliminate = TRUE, 
                   make.model = FALSE, return.test = FALSE, 
                   push.pop = FALSE, type = "unconditioned", data = NULL, 
                   object = .object.of.models(model.1, model.2, 
                                              data = data, ...), ...)
}

\arguments{
  \item{code}{ Numeric, between 1 and 255. }
  \item{sub.code}{ Numeric. }
  \item{argument}{ A charater string, \code{argument}. }
  \item{model}{ See \code{\link[CoCoRaw]{returnModel}}. }
  \item{model.1}{ See \code{\link[CoCoRaw]{isSubmodel}}. }
  \item{model.2}{ See \code{\link[CoCoRaw]{isSubmodel}}. }

  \item{eliminate}{ Logical, \code{eliminate} is TRUE
		    then \code{"last"} is set to \code{"current"},
		    else \code{"last"} is set to  \code{"base"}
		    before computing test when \code{return.test} is TRUE. }
  \item{make.model}{ Logical, if \code{make.model} is TRUE then
		     a model object of the model resulting
		     of the action is returned.
		     See \code{\link[CoCoRaw]{editmodel}}. }
  \item{return.test}{ Logical, if \code{return.test} is TRUE then
		      a character string with the model resulting
		      of the action is returned.
		      See \code{\link[CoCoRaw]{editmodel}}. }
  \item{push.pop}{ Logical, if \code{push.pop} is TRUE, both model arguments
		   are numeric and the object argument is a CoCoCg object
		   then model pointers are restored by less calls of CoCoCg. 
		   See also \code{\link[CoCoRaw]{returnModelNumber}}
		   and \code{\link[CoCoRaw]{makeCurrent}}. }
  \item{type}{ A charater string. The argument \code{type} should be
	       \code{"unconditioned"}, 
	       \code{"ok"}, 
	       \code{"long.true"}, 
	       \code{"double"}, 
	       or \code{"long.and.double"}.
 }

  \item{data}{ See \code{\link[CoCoRaw]{exportCoCo}}. }
  \item{object}{ See \code{\link[CoCoRaw]{exportCoCo}}. }
  \item{\dots}{ Additional arguments to generate the CoCo \code{object}
	 from the \code{data} argument. See \code{\link[CoCoRaw]{propertyModel}}. }
}

\details{ These functions are not to be called by the user. }

% \value{
%   ~Describe the value returned
%   If it is a LIST, use
%   \item{comp1 }{Description of 'comp1'}
%   \item{comp2 }{Description of 'comp2'}
%   ...
% }

\references{ Badsberg, J.H.: Xlisp+CoCo, Aalborg University, 1996. }

\author{ Jens Henrik Badsberg }

\note{ 
	\code{\link{coco.simple.model}} is called in
		\code{.dispose.of.fitted.values},
		\code{\link[CoCoRaw]{editModel}},
		\code{\link[CoCoRaw]{showFormula}},
		\code{\link[CoCoRaw]{showVertexOrder}}.

	\code{\link{coco.simple.double}} is called in
		\code{.show.log.lik},
		\code{\link[CoCoRaw]{showDeviance}},
		\code{\link[CoCoRaw]{showTest}}.

	\code{\link{coco.string.model}} is called in
		\code{\link[CoCoRaw]{editModel}},
		\code{\link[CoCoRaw]{showTable}}.

	\code{\link{coco.string.double}} is called in
		\code{.decompose.models},
		\code{\link[CoCoRaw]{editModel}},
		\code{\link[CoCoRaw]{showTest}}.

}

% \section{ToDo}{....}

\seealso{ \code{\link{call.coco}}. }

% \examples{ }

\keyword{ interface }% at least one, from doc/KEYWORDS
\keyword{ multivariate }% __ONLY ONE__ keyword per line

\eof
\name{coco.start}
\alias{coco.start}
\alias{coco.resume}

\title{ Enter a CoCo object }

\description{ CoCo is started within R, 
	      and CoCo commands are then expected from standard input.

	      \code{\link[CoCoCore]{coco.resume}} will enter an existing CoCo
	      object. }

\usage{
coco.start(n = 131072, p = 65536, q = 1024, 
           r = 65536, s = 65536, ss = 65536, t = 65536)

coco.resume(object = .current.coco)
}

\arguments{
  \item{n}{ See \code{\link[CoCoCore]{coco.init}}. }
  \item{p}{ See \code{\link[CoCoCore]{coco.init}}. }
  \item{q}{ See \code{\link[CoCoCore]{coco.init}}. }
  \item{r}{ See \code{\link[CoCoCore]{coco.init}}. }
  \item{s}{ See \code{\link[CoCoCore]{coco.init}}. }
  \item{ss}{ See \code{\link[CoCoCore]{coco.init}}. }
  \item{t}{ See \code{\link[CoCoCore]{coco.init}}. }
  \item{object}{ See \code{\link[CoCoRaw]{endCoCo}}. }
}

\details{ These functions are to be called with care. }

\value{ NULL }

\references{ Badsberg, J.H.: Xlisp+CoCo, Aalborg University, 1996. }

\author{ Jens Henrik Badsberg }

% \note{ }

\section{ToDo}{ This will crash both CoCo and R under Windows. }

\seealso{ \code{\link{coco.init}}. }

% \examples{ }

\keyword{ interface }% at least one, from doc/KEYWORDS
\keyword{ multivariate }% __ONLY ONE__ keyword per line

\eof
\name{is.gc}
\alias{is.gc}

\title{ Generating classes }

\description{ Internal CoCoCore function: 
              Test for objects of type '"character"', 
	      but not one of the for CoCo reserved text strings.
}

\usage{
is.gc(model = "*")
}

\arguments{
  \item{model}{ A character string.
                See also \code{\link[CoCoRaw]{returnModel}}. }
}

\details{ This function is not to be called by the user. }

\value{ Logical }

\references{ Badsberg, J.H.: Xlisp+CoCo, Aalborg University, 1996. }

\author{ Jens Henrik Badsberg }

% \note{ }

% \section{ToDo}{....}

\seealso{ \code{\link{is.character}}. }

\examples{ 
is.gc("ab,bc.")
is.gc("[[ab][bc]]")
is.gc("[[ab]] / [[axy]] / [[axy]]")
is.gc("current")
is.gc(1)
}

\keyword{ interface }% at least one, from doc/KEYWORDS
\keyword{ multivariate }% __ONLY ONE__ keyword per line

\eof
\name{is.number}
\alias{is.number}

\title{ Test for a number }

\description{ Internal CoCoCore function: 
              Returns TRUE if its argument is of type real or
              type integer and not is a missing value indicator,
              and FALSE otherwise.
}

\usage{
is.number(x)
}

\arguments{
  \item{x}{ object to be tested. }
}


\details{ This function is not to be called by the user. }

\value{ Logical }

\references{ Badsberg, J.H.: Xlisp+CoCo, Aalborg University, 1996. }

\author{ Jens Henrik Badsberg }

% \note{ }

% \section{ToDo}{....}

\seealso{ \code{\link{is.numeric}}, \code{\link{is.complex}}, and \code{\link{is.na}}. }

% \examples{ }

\keyword{ interface }% at least one, from doc/KEYWORDS
\keyword{ multivariate }% __ONLY ONE__ keyword per line

\eof
\name{make.coco}
\alias{make.coco}
\alias{make.cococg}

\title{ Make a CoCo object }

\description{ Make a CoCo object. }

\usage{
make.coco(n = 65536, p = 65536, q = 1024, 
          r = 65536, s = 65536, ss = 65536, t = 65536, 
          uniq.title = FALSE, title = FALSE, type = 1, 
          location = c(700, 550), manager = TRUE, 
          silent = FALSE, sh.lib.name = NULL, ...)

make.cococg(n = 65536, p = 65536, q = 1024, 
          r = 65536, s = 65536, ss = 65536, t = 65536, 
          uniq.title = FALSE, title = FALSE, 
          location = c(700, 550), manager = TRUE, 
          silent = FALSE, sh.lib.name = NULL)
}

\arguments{
  \item{n}{ See \code{\link[CoCoCore]{coco.init}}. }
  \item{p}{ See \code{\link[CoCoCore]{coco.init}}. }
  \item{q}{ See \code{\link[CoCoCore]{coco.init}}. }
  \item{r}{ See \code{\link[CoCoCore]{coco.init}}. }
  \item{s}{ See \code{\link[CoCoCore]{coco.init}}. }
  \item{ss}{ See \code{\link[CoCoCore]{coco.init}}. }
  \item{t}{ See \code{\link[CoCoCore]{coco.init}}. }

  \item{uniq.title}{ Logical, if \code{uniq.title} is TRUE
		     then it is assumed that the \code{title}
		     can be used as a unique key of the CoCo object. }
  \item{title}{ See \code{\link[CoCoCore]{coco.init}}. }
  \item{type}{ See \code{\link[CoCoCore]{coco.init}}. }
  \item{location}{ See \code{\link[CoCoCore]{coco.init}}. }
  \item{manager}{ See \code{\link[CoCoCore]{coco.init}}. }
  \item{silent}{ See \code{\link[CoCoCore]{coco.init}}. }
  \item{sh.lib.name}{ See \code{\link[CoCoCore]{coco.load}}. }
  \item{\dots}{ Additional arguments. }
}

\details{ The distributed source code is only able to handle one concurrent
	  CoCo object. Use \code{\link[CoCoRaw]{endCoCo}}. }

% \value{
%   ~Describe the value returned
%   If it is a LIST, use
%   \item{comp1 }{Description of 'comp1'}
%   \item{comp2 }{Description of 'comp2'}
%   ...
% }

\references{ Badsberg, J.H.: Xlisp+CoCo, Aalborg University, 1996. }

\author{ Jens Henrik Badsberg }

% \note{ }

% \section{ToDo}{....}

\seealso{ \code{\link{coco.init}}. }

% \examples{ }

\keyword{ interface }% at least one, from doc/KEYWORDS
\keyword{ multivariate }% __ONLY ONE__ keyword per line

\eof
\name{make.model}
\alias{make.model}

\title{ Make a CoCo model object }

\description{ Make a CoCo model object. }

\usage{
make.model(model = "*", title = "", push.pop = FALSE, object = .current.coco)
}

\arguments{
  \item{model}{ See \code{\link[CoCoRaw]{returnModel}}. }
  \item{title}{ A charater string.
		If \code{title} is not set the the generating class
		of the model is used. }
  \item{push.pop}{ See \code{\link[CoCoRaw]{editModel}}. }
  \item{object}{ See \code{\link[CoCoRaw]{exportCoCo}}. }
}

% \details{ }

% \value{
%   ~Describe the value returned
%   If it is a LIST, use
%   \item{comp1 }{Description of 'comp1'}
%   \item{comp2 }{Description of 'comp2'}
%   ...
% }

\references{ Badsberg, J.H.: Xlisp+CoCo, Aalborg University, 1996. }

\author{ Jens Henrik Badsberg }

% \note{ }

% \section{ToDo}{....}

\seealso{ \code{\link[CoCoRaw]{enterModel}}. }

% \examples{ }

\keyword{ interface }% at least one, from doc/KEYWORDS
\keyword{ multivariate }% __ONLY ONE__ keyword per line

\eof
\name{my.assign}
\alias{my.assign}

\title{ Assign a value to a name }

\description{
  Internal CoCoCore function: 
  Assign a value to a name in an environment.
}

\usage{
my.assign(x, value, frame)
}

\arguments{
  \item{x}{ A character string with the name
	    of the variable to assign to. }
  \item{value}{ The \code{value} to assign \code{x}. }
  \item{frame}{ Numeric, the argument \code{frame} is
		zero for \code{\link{.GlobalEnv}}. }
}

\details{ This function is not to be called by the user. }

\value{ See \code{\link{assign}}. }

\references{ Badsberg, J.H.: Xlisp+CoCo, Aalborg University, 1996. }

\author{ Jens Henrik Badsberg }

% \note{ }

% \section{ToDo}{....}

\seealso{ \code{\link{assign}} and \code{\link{coco.init}}. }

% \examples{ }

\keyword{ interface }% at least one, from doc/KEYWORDS
\keyword{ multivariate }% __ONLY ONE__ keyword per line

\eof
\name{my.not.a.number}
\alias{my.not.a.number}

\title{ The invalid number for CoCo objects }

\description{
  Internal CoCoCore function:
  The double send at init in \code{\link{coco.init}} to CoCo objects
  to be returned as the invalid number.
}

\usage{
my.not.a.number()
}

\details{ This function is not to be called by the user. }

% \value{
%   ~Describe the value returned
%   If it is a LIST, use
%   \item{comp1 }{Description of 'comp1'}
%   \item{comp2 }{Description of 'comp2'}
%   ...
% }

\references{ Badsberg, J.H.: Xlisp+CoCo, Aalborg University, 1996. }

\author{ Jens Henrik Badsberg }

% \note{ }

% \section{ToDo}{....}

\seealso{ \code{\link{coco.init}}. }

% \examples{ }

\keyword{ interface }% at least one, from doc/KEYWORDS
\keyword{ multivariate }% __ONLY ONE__ keyword per line

\eof
\name{ok.coco}
\alias{ok.coco}
\alias{ok.coco.start}

\title{ Test if the call to CoCo succeeded }

\description{
  Internal CoCoCore function: Reports the warning message
  and returns FALSE, if the call to CoCo is not succeeded,
  else return TRUE.
}

\usage{
ok.coco(result, no.warnings = NULL)
ok.coco.start(result)
}

\arguments{
  \item{result}{ ~~Describe \code{a} here~~ }
  \item{no.warnings}{ ~~Describe \code{no.warnings} here~~ }
}

\details{ This function is not to be called by the user. }

\value{ Logical }

\references{ Badsberg, J.H.: Xlisp+CoCo, Aalborg University, 1996. }

\author{ Jens Henrik Badsberg }

% \note{ }

% \section{ToDo}{....}

\seealso{ \code{\link{coco.init}}. }

% \examples{ }

\keyword{ interface }% at least one, from doc/KEYWORDS
\keyword{ multivariate }% __ONLY ONE__ keyword per line

\eof
