\name{CoCoClass-class}
\docType{class}
\alias{CoCoClass-class}

\title{ Class "CoCoClass" }

\description{ }

\section{Objects from the Class}{
Objects can be created by calls of the form \code{new("CoCoClass", ...)}.
}

\section{Slots}{
  \describe{
    \item{\code{.parameters}:}{Object of class \code{"list"}  
			       with the parameters for creating
			       the CoCo object, the arguemnts of
			       \code{\link[CoCoCore]{coco.init}}. }
    \item{\code{.invalid}:}{Object of class \code{"list"}
			    with the not recoverable values
			    of the object, the arguments of % the functions
			    \code{\link[CoCoOldData]{set.data.file}}, 
			    \code{\link[CoCoOldData]{set.observations.file}}, 
			    \code{\link[CoCoOldData]{set.specification.file}}, 
			    \code{\link[CoCoOldData]{read.data}}, 
			    \code{\link[CoCoOldData]{read.specification}}, 
			    \code{\link[CoCoOldData]{read.names}}, 
			    \code{\link[CoCoOldData]{read.factors}}, 
			    \code{\link[CoCoOldData]{reject.cases}}, 
			    \code{\link[CoCoOldData]{select.cases}}, 
			    \code{\link[CoCoOldData]{or.reject.cases}}, 
			    \code{\link[CoCoOldData]{or.select.cases}}, 
			    \code{\link[CoCoOldData]{redefine.factor}}, 
			    \code{\link[CoCoOldData]{cutpoints}}, 
			    \code{\link[CoCoOldData]{skip.missing}}, 
			    \code{\link[CoCoOldData]{read.observations}}, 
			    \code{\link[CoCoOldData]{read.table.coco}}, 
			    \code{\link[CoCoOldData]{read.list}}, 
			    \code{\link[CoCoOldData]{read.q.list}}, 
			    \code{\link[CoCoOldData]{read.q.table}}, 
			    \code{\link[CoCoRaw]{cleanData}}, and
			    \code{\link[CoCoRaw]{randomTableReplacement}}
			    (if \code{setslot} is TRUE). }
    \item{\code{.specification}:}{Object of class \code{"list"} 
				  with the values of the specification
				  of the object, the arguments of
			          \code{\link[CoCoRaw]{enterNames}} and
			          \code{\link[CoCoRaw]{importCoCo}}
				  if \code{setslot} is TRUE. }
    \item{\code{.medio}:}{Object of class \code{"list"} 
			  with the values of the medio
			  of the object, the arguments of
			  \code{\link[CoCoRaw]{setUseVariables}}
			  if \code{setslot} is TRUE. }
    \item{\code{.observations}:}{Object of class \code{"list"} 
				  with the values of the observations
				  of the object, the arguments of
			          \code{\link[CoCoRaw]{enterTable}},
			          \code{\link[CoCoRaw]{enterList}},
			          \code{\link[CoCoRaw]{enterDataFrame}},
			          and \code{\link[CoCoRaw]{enterTwoList}}
				  if \code{setslot} is TRUE. }
    \item{\code{.structure}:}{Object of class \code{"list"} 
				  with the values of the structure
				  of the object, the arguments of
			          \code{\link[CoCoRaw]{setOrdinal}},
			          \code{\link[CoCoRaw]{ExcludeMissing}},
			          \code{\link[CoCoRaw]{emOn}},
			          \code{\link[CoCoRaw]{enterQtable}}
			          and \code{\link[CoCoRaw]{enterQlist}}
				  if \code{setslot} is TRUE. }
    \item{\code{.reference}:}{Object of class \code{"numeric"}  
			      with the reference of the object:
			      a pointer to the memory. }
    \item{\code{.key}:}{Object of class \code{"character"}  
			with the key of the object. }
    \item{\code{.type}:}{Object of class \code{"numeric"}  
			 with the type,
			 1 for CoCo objects,
			 2 for CoCoCg objects, of the object. }
    \item{\code{.title}:}{Object of class \code{"character"} 
			  with the title of the object. }
  }
}

\section{Extends}{
Class \code{"CoCoIdClass"}, directly.
}

\section{Methods}{
No methods defined with class "CoCoClass" in the signature.
}

\references{ Badsberg, J.H.: Xlisp+CoCo, Aalborg University, 1996. }

\author{ Jens Henrik Badsberg }

% \note{  }

\seealso{
  % \code{\link{CoCoClass-class}}, 
  \code{\link{CoCoIdClass-class}}, 
  \code{\link{CoCoModelClass-class}}, 
  \code{\link[CoCoCore]{coco.init}}, 
  or \code{\link[dynamicGraph]{GraphLatticeProto-class}}.
}

% \examples{ }

\keyword{classes}

\eof
\name{CoCoIdClass-class}
\docType{class}
\alias{CoCoIdClass-class}

\title{Class "CoCoIdClass"}

\description{ }

\section{Objects from the Class}{
Objects can be created by calls of the form \code{new("CoCoIdClass", ...)}.
}

\section{Slots}{
  \describe{
    \item{\code{.reference}:}{Object of class \code{"numeric"},
			      see \code{\link{CoCoClass-class}}. }
    \item{\code{.key}:}{Object of class \code{"character"},
			see \code{\link{CoCoClass-class}}. }
    \item{\code{.type}:}{Object of class \code{"numeric"},
			 see \code{\link{CoCoClass-class}}. }
    \item{\code{.title}:}{Object of class \code{"character"},
			  see \code{\link{CoCoClass-class}}. }
  }
}

\section{Methods}{
No methods defined with class "CoCoIdClass" in the signature.
}

\references{ Badsberg, J.H.: Xlisp+CoCo, Aalborg University, 1996. }

\author{ Jens Henrik Badsberg }

% \note{  }

\seealso{
  \code{\link{CoCoClass-class}}, 
  % \code{\link{CoCoIdClass-class}}, 
  \code{\link{CoCoModelClass-class}}, 
  \code{\link[CoCoCore]{coco.init}}, 
  or \code{\link[dynamicGraph]{GraphLatticeProto-class}}.
}

% \examples{ }

\keyword{classes}

\eof
\name{CoCoModelClass-class}
\docType{class}
\alias{CoCoModelClass-class}

% \alias{dynamic.Graph,CoCoModelClass-method}
% \alias{dynamic.Graph.Old,CoCoModelClass-method}
% \alias{modifyModel,CoCoModelClass-method}
% \alias{subModifyModel,CoCoModelClass-method}
% \alias{subModifyModel.Old,CoCoModelClass-method}
% \alias{testEdge,CoCoModelClass-method}
% \alias{testEdge.Old,CoCoModelClass-method}

% \alias{dynamic.Graph} % CoCoModelClass-method
% \alias{dynamic.Graph.Old} % CoCoModelClass-method
% \alias{modifyModel} % CoCoModelClass-method
% \alias{subModifyModel} % CoCoModelClass-method
% \alias{subModifyModel.Old} % CoCoModelClass-method
% \alias{testEdge} % CoCoModelClass-method
% \alias{testEdge.Old} % CoCoModelClass-method

\title{ Class "CoCoModelClass" }

\description{ }

\section{Objects from the Class}{
Objects can be created by calls of the form \code{new("CoCoModelClass", ...)}.
}

\section{Slots}{
  \describe{
    \item{\code{.model}:}{Object of class \code{"character"}
			  with the generating class(es) of the model. }
    \item{\code{.model.number}:}{Object of class \code{"numeric"}
				 with the model number of the model. }
    \item{\code{.reference}:}{Object of class \code{"numeric"},
			      see \code{\link{CoCoClass-class}}. }
    \item{\code{.key}:}{Object of class \code{"character"},
			see \code{\link{CoCoClass-class}}. }
    \item{\code{.type}:}{Object of class \code{"numeric"},
			 see \code{\link{CoCoClass-class}}. }
    \item{\code{.title}:}{Object of class \code{"character"},
			  see \code{\link{CoCoClass-class}}. }
  }
}

\section{Extends}{
Class \code{"CoCoIdClass"}, directly.
}

\section{Methods}{
No methods defined with class "CoCoModelClass" in the signature.
}

\references{ Badsberg, J.H.: Xlisp+CoCo, Aalborg University, 1996. }

\author{ Jens Henrik Badsberg }

% \note{  }

\seealso{
  \code{\link{CoCoClass-class}}, 
  \code{\link{CoCoIdClass-class}}, 
  % \code{\link{CoCoModelClass-class}}, 
  \code{\link[CoCoCore]{coco.init}}, 
  or \code{\link[dynamicGraph]{GraphLatticeProto-class}}.
}

% \examples{ }

\keyword{classes}

\eof
\name{CoCoObjects-internal}
\title{Internal CoCoObjects objects}
\alias{.--C--CoCoClass}
\alias{.--C--CoCoIdClass}
\alias{.--C--CoCoModelClass}
% \alias{.--C--CoCoTestClass}
\alias{.clear.coco.objects}
\alias{.end.temporary.object}
\alias{.First.lib}
\alias{.First.lib.CoCoObjects}
% \alias{.--M--dynamic.Graph:.GlobalEnv}
% \alias{.--M--dynamic.Graph.Old:.GlobalEnv}
% \alias{.--M--label:.GlobalEnv}
% \alias{.--M--labelOfTest:.GlobalEnv}
% \alias{.--M--modifyModel:.GlobalEnv}
% \alias{.--M--subModifyModel:.GlobalEnv}
% \alias{.--M--subModifyModel.Old:.GlobalEnv}
% \alias{.--M--testEdge:.GlobalEnv}
% \alias{.--M--testEdge.Old:.GlobalEnv}
% \alias{.--M--testLabel:.GlobalEnv}
% \alias{.--M--testWidth:.GlobalEnv}
% \alias{.--M--width:.GlobalEnv}
% \alias{.--M--widthOfTest:.GlobalEnv}
\alias{.new.coco}
\alias{.new.coco.model}
\alias{.object.of.model}
\alias{.object.of.thing}
\alias{.onAttach}
\alias{.onLoad}
\alias{.packageName}
\alias{.recover}
\alias{.recover.coco}
\alias{.recover.model}
\alias{.recover.reference}
\alias{.recover.search}
\alias{.return.key}
\alias{.return.model.number}
\alias{.return.model.of.object}
\alias{.return.object.model.number}
\alias{.return.reference}
\alias{.return.type}
\alias{.set.coco.value}
\alias{.SetSlotValue}
\alias{.sub.recover.coco}
\alias{.sub.recover.coco.model}
\description{Internal CoCoObjects objects.}
\details{These are not to be called by the user.}
\keyword{internal}

\eof
\name{clearCoCoObjects}
\alias{clearCoCoObjects}

\title{ Clear CoCo object }

\description{ Clear CoCo objects. }

\usage{
clearCoCoObjects(coco.object = NULL, silent = FALSE, pos = .GlobalEnv, 
          printWarnings = FALSE) 

}

\arguments{
  \item{coco.object}{ See \code{\link[CoCoRaw]{endCoCo}}. }
  \item{pos}{ The envirinment of the CoCo object. }
  \item{silent}{ Logical. }
  \item{printWarnings}{ Logical. }
}

% \details{ }

% \value{ TRUE }

% \references{ Badsberg, J.H.: Xlisp+CoCo, Aalborg University, 1996. }

\author{ Jens Henrik Badsberg }

% \note{  }

% \section{ToDo}{ }

% \seealso{ }

% \examples{ }

\keyword{ interface }% at least one, from doc/KEYWORDS
\keyword{ multivariate }% __ONLY ONE__ keyword per line

\eof
\name{currentCoCo}
\alias{currentCoCo}
\alias{makeCurrentCoCo}

\title{ Make CoCo object to default CoCo object }

\description{ Shift between CoCo objects for default CoCo object. }

\usage{
currentCoCo(object = .current.coco)

makeCurrentCoCo(object.number)
}

\arguments{
  \item{object}{ See \code{\link[CoCoRaw]{endCoCo}}. }
  \item{object.number}{ Numeric, the number of the CoCo object. }
}

 \details{ 
The \code{a}-te row of \code{.coco.identifications}
is assigned to \code{.current.coco} in \code{.GlobalEnv}
by  \code{\link{makeCurrentCoCo}}.

A CoCo, a CoCoCg, and a model CoCo model object
is accepted as the argument \code{object} to \code{\link{currentCoCo}}.
}

\value{ TRUE }

\references{ Badsberg, J.H.: Xlisp+CoCo, Aalborg University, 1996. }

\author{ Jens Henrik Badsberg }

% \note{  }

% \section{ToDo}{ }

\seealso{ \code{\link{currentCoCo}}. }

\examples{ 
library(CoCo);
data(Reinis);
CoCoReinisObject <- makeCoCo();
enterTable(Reinis, object = CoCoReinisObject);
fullReinisModel <- makeModel(enterModel("*", object = CoCoReinisObject));

library(CoCoCg);
data(Rats);
CoCoRatsObject <- makeCoCoCg();
enterDataFrame(Rats, object = CoCoRatsObject);
fullRatsModel <- makeModel(enterModel("*", object = CoCoRatsObject));

showModel();
showModel(fullReinisModel);
makeCurrentCoCo(1);
showModel();

endCoCo(object = CoCoReinisObject);

makeCurrentCoCo(2);
endCoCo(object = CoCoRatsObject);
}

\keyword{ interface }% at least one, from doc/KEYWORDS
\keyword{ multivariate }% __ONLY ONE__ keyword per line

\eof
\name{makeModel}
\alias{makeModel}

\title{ Make a CoCo model object }

\description{ Make a CoCo model object }

\usage{
makeModel(model = FALSE, title = "", push.pop = FALSE, data = NULL, 
          object = .object.of.model(model, data = data, ...), ...)
}

\arguments{
  \item{model}{ See \code{\link[CoCoRaw]{returnModel}}. }
  \item{title}{ A charater string with the \code{title} of the object. }
  \item{push.pop}{ Logical, if \code{push.pop} is TRUE, the model argument
		   is numeric and the object argument is a CoCoCg object
		   then model pointers are restored by less calls of CoCoCg. 
		   See also \code{\link[CoCoRaw]{returnModelNumber}}
		   and \code{\link[CoCoRaw]{makeCurrent}}. }
  \item{data}{ See \code{\link[CoCoRaw]{exportCoCo}}. }
  \item{object}{ See \code{\link[CoCoRaw]{exportCoCo}}. }
  \item{\dots}{ Additional arguments to generate the CoCo \code{object}
	 from the \code{data} argument. See \code{\link[CoCoRaw]{propertyModel}}. }
}

% \details{ }

\value{
  Object of class \code{\link{CoCoModelClass-class}}.
}

\references{Badsberg, J.H.: Xlisp+CoCo, Aalborg University, 1996. }

\author{ Jens Henrik Badsberg }

% \note{ }

\seealso{ \code{\link[CoCo]{makeCoCo}}. }

\keyword{ methods }% at least one, from doc/KEYWORDS
\keyword{ multivariate }% __ONLY ONE__ keyword per line

\eof
\name{recover.coco.model}
\alias{recover.coco.model}

\title{ Recover a CoCo model object }

\description{ Recover a CoCo model object }

\usage{
recover.coco.model(coco.model.object, key = .return.key(coco.model.object), 
		   model = .return.model.of.object(coco.model.object), 
		   level = 90000, pos = .GlobalEnv, 
		   new.id = NULL, new.no = NULL)
}

\arguments{
  \item{coco.model.object}{ Object of class 
			    \code{\link{CoCoModelClass-class}}. }
  \item{key}{ The key of the object. }
  \item{model}{ The model of the object. }
  \item{level}{ Numeric for depth of call. }
  \item{pos}{ \code{.GlobalEnv}. }
  \item{new.id}{ Numeric, the new ideintification of the CoCo object. }
  \item{new.no}{ Numeric, the new model number. }
}

% \details{ }

% \value{ }

% \references{Badsberg, J.H.: Xlisp+CoCo, Aalborg University, 1996. }

\author{ Jens Henrik Badsberg }

% \note{ }

\seealso{ \code{\link[CoCo]{makeCoCo}}. }

\keyword{ methods }% at least one, from doc/KEYWORDS
\keyword{ multivariate }% __ONLY ONE__ keyword per line

\eof
