### Name: returnTable
### Title: Return the counts and fitted values of a marginal table
### Aliases: returnTable
### Keywords: methods multivariate

### ** Examples

library(CoCoCg);
data(fev);

fevCoCo <- makeCoCoCg();
result <- enterDataFrame(fev, object = fevCoCo);

enterModel("*;", object = fevCoCo);

showTable("observed", ":Sex:Smoker", object = fevCoCo);

showTable("canonical", ":Sex:Smoker:Age:FEV:Height", 
                       table = TRUE, object = fevCoCo);
showTable("canonical", ":Sex:Smoker:Age:FEV:Height", 
                       matrix = TRUE, object = fevCoCo);
showTable("canonical", ":Age:FEV:Height",            
                       matrix = TRUE, object = fevCoCo);

c1 <- returnTable("canonical", ":Sex:Smoker:Age:FEV:Height", 
                  label = FALSE, split = FALSE, object = fevCoCo);
c2 <- returnTable("canonical", ":Sex:Smoker:Age:FEV:Height", 
                  label = TRUE, object = fevCoCo);
c3 <- returnTable("canonical", ":Sex:Smoker:Age:FEV:Height", 
                  label = TRUE, split = FALSE, object = fevCoCo);
c4 <- returnTable("canonical", ":Sex:Smoker:Age:FEV:Height", 
                  label = TRUE, split = FALSE, 
                  discrete.outer = TRUE, object = fevCoCo);

returnTable("canonical", ":Sex:Smoker:Age:FEV:Height", label = TRUE);

returnTable("moment", ":Sex:Smoker:Age:Height", label = TRUE)$Mean;
returnTable("moment", ":Smoker:Age:Height", label = TRUE)$Mean;
returnTable("moment", ":Sex:Age:Height", label = TRUE)$Mean;

c4[,,1]
c4[1,1,]
c5 <- returnTable("canonical", ":Sex:Smoker:Age:FEV:Height", 
                  label = TRUE, split = TRUE, discrete.outer = FALSE, 
                  object = fevCoCo);
c6 <- returnTable("canonical", ":Sex:Smoker:Age:FEV:Height", 
                  label = TRUE, split = TRUE, discrete.outer = TRUE, 
                  object = fevCoCo);

showTable("moment", ":Sex:Smoker:Age:FEV:Height", 
                    matrix = TRUE, object = fevCoCo);

m1 <- returnTable("moment", ":Sex:Smoker:Age:FEV:Height", 
                  label = FALSE, split = FALSE, object = fevCoCo);
m2 <- returnTable("moment", ":Sex:Smoker:Age:FEV:Height", 
                  label = TRUE, object = fevCoCo);
m3 <- returnTable("moment", ":Sex:Smoker:Age:FEV:Height", 
                  label = TRUE, split = FALSE, object = fevCoCo);
m4 <- returnTable("moment", ":Sex:Smoker:Age:FEV:Height", 
                  label = TRUE, split = FALSE, 
                  discrete.outer = TRUE, object = fevCoCo);
m4[,,1]
m4[1,1,]
m5 <- returnTable("moment", ":Sex:Smoker:Age:FEV:Height", 
                  label = TRUE, split = TRUE, 
                  discrete.outer = FALSE, object = fevCoCo);
m6 <- returnTable("moment", ":Sex:Smoker:Age:FEV:Height", 
                  label = TRUE, split = TRUE, 
                  discrete.outer = TRUE, object = fevCoCo);

endCoCo(object = fevCoCo);



