### Name: showModel
### Title: Show the model
### Aliases: showModel
### Keywords: methods multivariate

### ** Examples

library(CoCo);
data(Byssinosis38);
CoCoObject <- makeCoCo();
enterTable(Byssinosis38, object = CoCoObject);

# Generate some models:

enterModel("*", object = CoCoObject);
backward(recursive = TRUE, headlong = TRUE, coherent = TRUE, 
         follow = TRUE, object = CoCoObject);
backwardResult <- returnModelNumber("last", object = CoCoObject);
enterModel(".;", object = CoCoObject);
forward(recursive = TRUE, headlong = TRUE, coherent = TRUE, object = CoCoObject);
makeCurrent(backwardResult, object = CoCoObject);

# Show the models:

showModel("all", object = CoCoObject);
showModel("last", object = CoCoObject);
showModel("base", object = CoCoObject);
showModel("current", object = CoCoObject);
showModel("number", 3, object = CoCoObject);

#  showModel(FALSE, object = CoCoObject);
#  showModel(TRUE, object = CoCoObject);
#  showModel(NULL, object = CoCoObject);

#  showModel(c(1, 2, c(7)), object = CoCoObject);
#  showModel("list", list(1, 2), object = CoCoObject);

#  showModel(c("current", 7, 9, "last"), object = CoCoObject);
#  showModel(c("current", "base", "last"), object = CoCoObject);

#  showModel("list", list("current", 2), object = CoCoObject);

# Show the model "backwardResult" down to 1:

while(makeCurrent("previous", 
                  object = CoCoObject)) showModel(object = CoCoObject);

# Show the model 10 to 15 3 times:

showModel(10:15, object = CoCoObject);

showModel("interval", 10, 15, object = CoCoObject);

makeCurrent(10, object = CoCoObject)
while(returnModelNumber("current", object = CoCoObject) < 15) {
         makeCurrent("next", object = CoCoObject); 
         showModel(object = CoCoObject); }

makeCurrent(backwardResult, object = CoCoObject);

showModel(6, describe.model = TRUE, object = CoCoObject);
showModel("current", describe.model = TRUE, object = CoCoObject);

showModel(1, describe.model = TRUE, object = CoCoObject);

# "base" and "last" gives shorter description:

showModel("base", describe.model = TRUE, object = CoCoObject);
showModel("last", describe.model = TRUE, object = CoCoObject);

endCoCo(object = CoCoObject);



